/* Auteur: Nicolas JANEY          */
/* nicolas.janey@univ-fcomte.fr   */
/* Fevrier 2005                   */

import java.io.*;

public class Robot {
  static BufferedReader flux = new BufferedReader(new InputStreamReader(System.in));

  /* Lecture au clavier des largeurs du parcours          */
  /* coteCarre : entier                                   */
  /* largeurDamier : entier                               */

  public static void parcourt(int coteCarre,int largeurDamier) throws IOException {
    int x,y;        // Position instantanee du robot
    int i;          // Indice de boucle for
  /* Lecture au clavier des positions initiales en x et y */
    System.out.print("Position x initiale : ");
    x = Integer.valueOf(flux.readLine()).intValue();
    System.out.print("Position y initiale : ");
    y = Integer.valueOf(flux.readLine()).intValue();
  /* Si les donnees du probleme sont correctes            */
    if ( ( x >= 1 ) && ( x <= largeurDamier ) &&
         ( y >= 1 ) && ( y <= largeurDamier ) &&
         ( x+coteCarre <= largeurDamier ) &&
         ( y-coteCarre >= 1 ) ) {
  /* Boucle de deplacement vers la droite                 */
      for ( i = 1 ; i <= coteCarre ; i++ ) {
        x = x+1;
        System.out.println(x+","+y); }
  /* Boucle de deplacement vers le bas                    */
      for ( i = 1 ; i <= coteCarre ; i++ ) {
        y = y-1;
        System.out.println(x+","+y); }
  /* Boucle de deplacement vers la gauche                 */
      for ( i = 1 ; i <= coteCarre ; i++ ) {
        x = x-1;
        System.out.println(x+","+y); }
  /* Boucle de deplacement vers le bas                    */
      for ( i = 1 ; i <= coteCarre ; i++ ) {
        y = y+1;
        System.out.println(x+","+y); } }
    else {
  /* Affichage en cas de probleme avec les donnees        */
    System.out.println("Erreur dans les donnees du probleme"); }
  }
  
  /* Fonction principale                                  */

  public static void main(String [] args) throws IOException {
  /* Lecture au clavier des largeurs du parcours          */
  /* et du damier                                         */
    System.out.print("Cote du parcourt    : ");
    int c = Integer.valueOf(flux.readLine()).intValue();
    System.out.print("Largeur du damier   : ");
    int l = Integer.valueOf(flux.readLine()).intValue();
  /* Lancement du parcours                                */
    parcourt(c,l);
  }
}